package com.pcloud.book.applet.dao;

import com.pcloud.book.applet.dto.BuyBookRequestDTO;
import com.pcloud.book.applet.entity.BuyBookRequest;
import com.pcloud.common.core.dao.BaseDao;
import com.pcloud.common.page.PageBeanNew;

import java.util.List;
import java.util.Map;

/**
 * (BuyBookRequest)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-14 19:51:40
 */
public interface BuyBookRequestDao extends BaseDao<BuyBookRequest> {

    List<BuyBookRequest> getUserCount();

    PageBeanNew getRequestByWechatUserIdAndState(Integer currentPage, Integer numPerPage, Map<String,Object> param);

    List<Long> listIdsByWeChatUserId(Long wechatUserId);

    List<Long> listAllWeChatUserId();

    void update2ProcessingData(Map<String,Object> param);
}